[![Gem Version](https://badge.fury.io/rb/cocoapods-repo-rsync.svg)](http://badge.fury.io/rb/cocoapods-repo-rsync)
[![Code Climate](https://codeclimate.com/github/clarkda/cocoapods-repo-rsync/badges/gpa.svg)](https://codeclimate.com/github/clarkda/cocoapods-repo-rsync)

# Cocoapods::RepoRsync

Adds subversion support to manage spec-repositories

## Brief

Our team had been using a in house fork of Cocoapods with rsync, bzr, and hg spec-repo support. Since #1747 has been closed, I'm porting that code to plugins

## Installation

    $ gem install cocoapods-repo-rsync

# Usage

## Commands

Add

    $ pod repo-rsync add my-rsync-repo http://rsync-repo-url

Update

    $ pod repo-rsync update my-rsync-repo

Remove

    $ pod repo-rsync remove my-rsync-repo

## Podfile integration

To include your sources in the install phase of your project, do the following:
```ruby
plugin 'cocoapods-repo-rsync', :sources => [
        'https://rsync.myrepository.com'
    ]
```


## Contributing

..

## Building

    $ rake build

## Installing

    $ rake install


## Thoughts

Repo->Remove and Repo->Lint are generic enough to be lifted out of git specific command/repo
