# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cocoapods-repo-rsync'

Gem::Specification.new do |spec|
  spec.name          = 'cocoapods-repo-rsync'
  spec.version       = CocoapodsRepoRsync::VERSION
  spec.authors       = ['bisheng.dongbs']
  spec.email         = ['charlesdbs@gmail.com']
  spec.description   = %q{CocoaPod plugin to add rsync support for spec repositories}
  spec.summary       = %q{Rsync support for spec repository}
  spec.homepage      = 'https://github.com/clarkda/cocoapods-repo-rsync'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(\.|Gemfile|Rakefile)}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'

  spec.add_dependency 'cocoapods'
end
